#ifndef _DOSLIB_GFX_H_
#define _DOSLIB_GFX_H_
#include <iostream.h>
#include <stdlib.h>
#include "src\lib\lib_com.h"

#define SW					320	/* width in pixels of mode 0x13 */
#define SH						200	/* height in pixels of mode 0x13 */
#define NUM_COLORS	256	/* number of colors in mode 0x13 */
#define BONK				400
//#define VMOD		0x13
//__#define INPUT_STATUS_0	0x3da

void setvideo(byte mode, int vq);
void setvbuff(int vq);
void updatevbuff();
void cls(byte color, byte *Where);
void clearscr();
void plotpixel(int x, int y, byte color, byte *Where);
void plotpixelfast(int x, int y, byte color, byte *Where);
void BlockMove();
int ctesuto(int x, int y);
void qtesuto(int x, int y, int color);
int colortest();
void ssd(int svq);
int ding(int q);

#endif/*_DOSLIB_GFX_H_*/